| optoICC

Public Member Functions | Public Attributes | List of all members
optoICC.ecc1c.ICC4cChannel Class Reference
Inheritance diagram for optoICC.ecc1c.ICC4cChannel:

## Public Member Functions
def | __init__ (self, board, int channel_number=0, device_platform=DevicePlatform.ALL)
def | GetControlMode (self)
def | SetControlMode (self, ICCUnitType or str control_mode)

## Public Attributes
| StaticInput
| Analog
| LensCompensation
| SignalGenerator
| DeviceEEPROM
| VectorPatternUnit
| TemperatureManager
| SensorLinearization
| PID
| QuadrantVectorPatternUnit
| FeedForwardVectorPatternUnit

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.ecc1c.ICC4cChannel.__init__ | ( |  | self,
|  |  | board,
|  | int | channel_number = `0`,
|  |  | device_platform = `DevicePlatform.ALL`
| ) |  |

## Member Function Documentation

## ◆ GetControlMode()

def optoICC.ecc1c.ICC4cChannel.GetControlMode | ( |  | self | ) |

    Retrieves board control mode for this channel.

    Parameters
    ----------

    Raises
    ------
    none

    Returns
    -----
    UnitType
        Control mode options set by register_tables.UnitType

## ◆ SetControlMode()

def optoICC.ecc1c.ICC4cChannel.SetControlMode | ( |  | self,
|  | ICCUnitType or str | control_mode
| ) |  |

    Sets board control mode for this channel.

    Parameters
    ----------
    control_mode: UnitType or str
        Mode to set must be in register_tables.UnitType or appropriate string format given by
        UnitType enum attribute names.

    Raises
    ------
    none

    Returns
    -----
    str
        Firmware response or error information

## Member Data Documentation

## ◆ Analog

optoICC.ecc1c.ICC4cChannel.Analog

## ◆ DeviceEEPROM

optoICC.ecc1c.ICC4cChannel.DeviceEEPROM

## ◆ FeedForwardVectorPatternUnit

optoICC.ecc1c.ICC4cChannel.FeedForwardVectorPatternUnit

## ◆ LensCompensation

optoICC.ecc1c.ICC4cChannel.LensCompensation

## ◆ PID

optoICC.ecc1c.ICC4cChannel.PID

## ◆ QuadrantVectorPatternUnit

optoICC.ecc1c.ICC4cChannel.QuadrantVectorPatternUnit

## ◆ SensorLinearization

optoICC.ecc1c.ICC4cChannel.SensorLinearization

## ◆ SignalGenerator

optoICC.ecc1c.ICC4cChannel.SignalGenerator

## ◆ StaticInput

optoICC.ecc1c.ICC4cChannel.StaticInput

## ◆ TemperatureManager

optoICC.ecc1c.ICC4cChannel.TemperatureManager

## ◆ VectorPatternUnit

optoICC.ecc1c.ICC4cChannel.VectorPatternUnit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/ecc1c.py